Compilation error between Pyzo and PyInstaller version 4.2

336 views
Skip to first unread message

Lama Angelo

unread,
Mar 22, 2021, 12:00:34 PM3/22/21
to Pyzo
Hello, I have a problem with PyInstaller under Pyzo. For clarification, I'm running Pyzo on Windows from a USB key. In fact I installed version 4.2 of PyInstaller with: 

conda install pyinstaller

Afterwards, I try to run my compilation script (which also works very well under GNU / Linux, MacOS and Windows), but there is a problem with Pyzo (Python: 3.6.5 (conda)) and PyInstaller 4.2 ... and from a USB key, what should I do to make it work?

Here's the return (and errors):

Python 3.6.5 |Anaconda, Inc.| (default, Mar 29 2018, 13:32:41) on Windows (64 bits).
This is the Pyzo interpreter with integrated event loop for PYQT5.
Type 'help' for help, type '?' for a list of *magic* commands.

>>> D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\Scripts\pyinstaller.exe -y --clean --windowed --console --onefile --icon=D:\projet_MurExpo\logo_murexpo_me_format_carre_256x256.ico --hiddenimport numpy.core._dtype_ctypes --distpath D:\projet_MurExpo\murexpo_0_6_0_onefile_windows --add-data D:\projet_MurExpo\ressources_murexpo\;ressources_murexpo --name murexpo --add-data C:\Users\angelo\python36\Lib\site-packages\PyQt5\Qt\translations;PyQt5\Qt\translations D:\projet_MurExpo\murexpo_gui.py --add-binary vcruntime140.dll;. --add-binary msvcp140.dll;. --add-binary concrt140.dll;. --add-binary vccorlib140.dll;.
  File "<console>", line 1
    D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\Scripts\pyinstaller.exe -y --clean --windowed --console --onefile --icon=D:\projet_MurExpo\logo_murexpo_me_format_carre_256x256.ico --hiddenimport numpy.core._dtype_ctypes --distpath D:\projet_MurExpo\murexpo_0_6_0_onefile_windows --add-data D:\projet_MurExpo\ressources_murexpo\;ressources_murexpo --name murexpo --add-data C:\Users\angelo\python36\Lib\site-packages\PyQt5\Qt\translations;PyQt5\Qt\translations D:\projet_MurExpo\murexpo_gui.py --add-binary vcruntime140.dll;. --add-binary msvcp140.dll;. --add-binary concrt140.dll;. --add-binary vccorlib140.dll;.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            ^
SyntaxError: unexpected character after line continuation character

>>> 

>>> 

>>> D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\Scripts\\pyinstaller.exe -y --clean --windowed --console --onefile --icon=D:\\projet_MurExpo\\logo_murexpo_me_format_carre_256x256.ico --hiddenimport numpy.core._dtype_ctypes --distpath D:\\projet_MurExpo\\murexpo_0_6_0_onefile_windows --add-data D:\\projet_MurExpo\\ressources_murexpo\\;ressources_murexpo --name murexpo --add-data C:\\Users\\angelo\\python36\\Lib\\site-packages\\PyQt5\\Qt\\translations;PyQt5\\Qt\\translations D:\\projet_MurExpo\\murexpo_gui.py --add-binary vcruntime140.dll;. --add-binary msvcp140.dll;. --add-binary concrt140.dll;. --add-binary vccorlib140.dll;.
  File "<console>", line 1
    D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\Scripts\\pyinstaller.exe -y --clean --windowed --console --onefile --icon=D:\\projet_MurExpo\\logo_murexpo_me_format_carre_256x256.ico --hiddenimport numpy.core._dtype_ctypes --distpath D:\\projet_MurExpo\\murexpo_0_6_0_onefile_windows --add-data D:\\projet_MurExpo\\ressources_murexpo\\;ressources_murexpo --name murexpo --add-data C:\\Users\\angelo\\python36\\Lib\\site-packages\\PyQt5\\Qt\\translations;PyQt5\\Qt\\translations D:\\projet_MurExpo\\murexpo_gui.py --add-binary vcruntime140.dll;. --add-binary msvcp140.dll;. --add-binary concrt140.dll;. --add-binary vccorlib140.dll;.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     ^
SyntaxError: unexpected character after line continuation character

Kernel process terminated for restart. (0)

Python 3.6.5 |Anaconda, Inc.| (default, Mar 29 2018, 13:32:41) on Windows (64 bits).
This is the Pyzo interpreter with integrated event loop for PYQT5.
Type 'help' for help, type '?' for a list of *magic* commands.
Running script: "D:\projet_MurExpo\pyinstaller_creation_executable_murexpo.py"
391 INFO: PyInstaller: 4.2
391 INFO: Python: 3.6.5 (conda)
391 INFO: Platform: Windows-10-10.0.19041-SP0
406 INFO: wrote D:\projet_MurExpo\murexpo.spec
422 INFO: UPX is not available.
422 INFO: Removing temporary files and cleaning cache in \\c-dunoi-sadkoxo.dunois.clg14.lan\APPDATA$\alama\AppData\Roaming\pyinstaller
578 INFO: Extending PYTHONPATH with paths
['D:\\projet_MurExpo', 'D:\\projet_MurExpo']
609 INFO: checking Analysis
609 INFO: Building Analysis because Analysis-00.toc is non existent
609 INFO: Initializing module dependency graph...
609 INFO: Caching module graph hooks...
609 WARNING: Several hooks defined for module 'accessible_output2'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'adios'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'amazonproduct'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'appdirs'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'appy.pod'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'astroid'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'bacon'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'boto'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'boto3'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'botocore'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'certifi'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'clr'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'countrycode'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'Cryptodome'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'cryptography'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'cv2'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'cx_Oracle'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'dclab'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'distorm3'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'dns.rdata'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'docutils'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'enchant'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'gadfly'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'google.cloud'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'google.cloud.storage'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'gst._gst'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'gtk'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'h5py'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'httplib2'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'imageio'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'IPython'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'jinja2'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'jira'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'jsonschema'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'kinterbasdb'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'langcodes'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'lensfunpy'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'libaudioverse'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'llvmlite'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'logilab'. Please take care they do not conflict.
609 WARNING: Several hooks defined for module 'lxml.etree'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'lxml.isoschematron'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'lxml.objectify'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'mako.codegen'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'markdown'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'mpl_toolkits.basemap'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'nacl'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'names'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'ncclient'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'netCDF4'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'numba'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'OpenGL'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'OpenGL_accelerate'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'openpyxl'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'osgeo'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'paste.exceptions.reporter'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'patsy'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pint'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'psychopy'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'psycopg2'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pubsub.core'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pycountry'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pycparser'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pyexcelerate.Writer'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pylint'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pymssql'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pyodbc'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pyopencl'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pyproj'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'win32ctypes.core'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pytest'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pythoncom'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pyttsx'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'pywintypes'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'raven'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'rawpy'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'redmine'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'regex'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'reportlab.lib.utils'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'reportlab.pdfbase._fontdata'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'selenium'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'shapely'. Please take care they do not conflict.
625 WARNING: Several hooks defined for module 'skimage.transform'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'sklearn.metrics.cluster'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'sound_lib'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'speech_recognition'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'storm.database'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'tables'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'u1db'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'unidecode'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'uniseg'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'usb'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'vtkpython'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'weasyprint'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'win32com'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'wx.lib.activex'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'wx.lib.pubsub'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'wx.xrc'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'Xlib'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'xml.dom.html.HTMLDocument'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'xml.sax.saxexts'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'xsge_gui'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'zeep'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'zmq'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module '_mssql'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module '_mysql'. Please take care they do not conflict.
1312 WARNING: Several hooks defined for module 'win32com'. Please take care they do not conflict.
1312 INFO: Analyzing base_library.zip ...
4488 INFO: Caching module dependency graph...
4628 INFO: running Analysis Analysis-00.toc
4644 INFO: Adding Microsoft.Windows.Common-Controls to dependent assemblies of final executable
  required by D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\python.exe
5050 INFO: Analyzing D:\projet_MurExpo\murexpo_gui.py
5738 INFO: Processing pre-find module path hook distutils from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks\\pre_find_module_path\\hook-distutils.py'.
5738 INFO: distutils: retargeting to non-venv dir 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib'
6956 INFO: Processing pre-safe import module hook setuptools.extern.six.moves from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks\\pre_safe_import_module\\hook-setuptools.extern.six.moves.py'.
7565 INFO: Processing pre-find module path hook site from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks\\pre_find_module_path\\hook-site.py'.
7565 INFO: site: retargeting to fake-dir 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\fake-modules'
8456 INFO: Analyzing hidden import 'numpy.core._dtype_ctypes'
11346 INFO: Processing module hooks...
11346 INFO: Loading module hook 'hook-pycparser.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\_pyinstaller_hooks_contrib\\hooks\\stdhooks'...
11565 INFO: Loading module hook 'hook-heapq.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11565 INFO: Excluding import of doctest from module heapq
11565 INFO: Loading module hook 'hook-lib2to3.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11611 INFO: Loading module hook 'hook-multiprocessing.util.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11611 INFO: Import to be excluded not found: 'test'
11611 INFO: Loading module hook 'hook-numpy._pytesttester.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11611 INFO: Excluding import of pytest from module numpy._pytesttester
11611 INFO: Loading module hook 'hook-numpy.core.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11846 INFO: MKL libraries found when importing numpy. Adding MKL to binaries
11846 INFO: Loading module hook 'hook-numpy.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11846 INFO: Loading module hook 'hook-pickle.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
11846 INFO: Excluding import of argparse from module pickle
11846 INFO: Loading module hook 'hook-pkg_resources.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
12549 INFO: Processing pre-safe import module hook win32com from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\_pyinstaller_hooks_contrib\\hooks\\pre_safe_import_module\\hook-win32com.py'.
12705 INFO: Processing pre-safe import module hook win32com from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks\\pre_safe_import_module\\hook-win32com.py'.
12814 WARNING: Hidden import "pkg_resources.py2_warn" not found!
12814 WARNING: Hidden import "pkg_resources.markers" not found!
12814 INFO: Excluding import of __main__ from module pkg_resources
12814 INFO: Loading module hook 'hook-pydoc.py' from 'D:\\pyzo_python3_portable_windows\\pyzo\\pyzo\\miniconda\\lib\\site-packages\\PyInstaller\\hooks'...
Traceback (most recent call last):
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\depend\imphook.py", line 409, in _load_hook_module
    self.hook_module_name, self.hook_filename)
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\compat.py", line 598, in importlib_load_source
    return mod_loader.load_module()
  File "<frozen importlib._bootstrap_external>", line 399, in _check_name_wrapper
  File "<frozen importlib._bootstrap_external>", line 823, in load_module
  File "<frozen importlib._bootstrap_external>", line 682, in load_module
  File "<frozen importlib._bootstrap>", line 265, in _load_module_shim
  File "<frozen importlib._bootstrap>", line 684, in _load
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\hooks\hook-pydoc.py", line 19, in <module>
    from PyInstaller.compat import is_py2, modname_tkinter
ImportError: cannot import name 'is_py2'

During handling of the above exception, another exception occurred:

# ------------------------------------- #
Commande de PyInstaller : D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\Scripts\pyinstaller.exe -y --clean --windowed --console --onefile --icon=D:\projet_MurExpo\logo_murexpo_me_format_carre_256x256.ico --hiddenimport numpy.core._dtype_ctypes --distpath D:\projet_MurExpo\murexpo_0_6_0_onefile_windows --add-data D:\projet_MurExpo\ressources_murexpo\;ressources_murexpo --name murexpo --add-data C:\Users\angelo\python36\Lib\site-packages\PyQt5\Qt\translations;PyQt5\Qt\translations D:\projet_MurExpo\murexpo_gui.py --add-binary vcruntime140.dll;. --add-binary msvcp140.dll;. --add-binary concrt140.dll;. --add-binary vccorlib140.dll;.
# ------------------------------------- #
Creation de l'exécutable. Compilation dans le répertoire
--> D:\projet_MurExpo\murexpo_0_6_0_onefile_windows réussie !!!
# ------------------------------------- #
Création de l'archive murexpo_0_6_0_onefile_windows.zip réussie !!!
# ------------------------------------- #


Traceback (most recent call last):
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\Scripts\pyinstaller-script.py", line 10, in <module>
    sys.exit(run())
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\__main__.py", line 114, in run
    run_build(pyi_config, spec_file, **vars(args))
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\__main__.py", line 65, in run_build
    PyInstaller.building.build_main.main(pyi_config, spec_file, **kwargs)
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\building\build_main.py", line 725, in main
    build(specfile, kw.get('distpath'), kw.get('workpath'), kw.get('clean_build'))
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\building\build_main.py", line 672, in build
    exec(code, spec_namespace)
  File "D:\projet_MurExpo\murexpo.spec", line 17, in <module>
    noarchive=False)
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\building\build_main.py", line 242, in __init__
    self.__postinit__()
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\building\datastruct.py", line 160, in __postinit__
    self.assemble()
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\building\build_main.py", line 420, in assemble
    self.graph.process_post_graph_hooks()
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\depend\analysis.py", line 367, in process_post_graph_hooks
    module_hook.post_graph()
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\depend\imphook.py", line 447, in post_graph
    self._load_hook_module()
  File "D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\depend\imphook.py", line 413, in _load_hook_module
    self.hook_module_name, self.hook_filename)
PyInstaller.exceptions.ImportErrorWhenRunningHook: Failed to import module __PyInstaller_hooks_0_pydoc required by hook for module D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\hooks\hook-pydoc.py. Please check whether module __PyInstaller_hooks_0_pydoc actually exists and whether the hook is compatible with your version of D:\pyzo_python3_portable_windows\pyzo\pyzo\miniconda\lib\site-packages\PyInstaller\hooks\hook-pydoc.py: You might want to read more about hooks in the manual and provide a pull-request to improve PyInstaller.

>>>  

Almar Klein

unread,
Mar 23, 2021, 4:48:46 AM3/23/21
to Pyzo
> SyntaxError: unexpected character after line continuation character

It looks like the command is not well-formatted.  This seems to be a Python exception often caused by a backslash character included somewhere.

Now that I look closer, you seem to be running that command from within Pyzo. Although Pyzo's shell has a few terminal-like features, like cd and ls, it's not a replacement for a terminal, and running a command like that should be run from a real terminal (e.g. cmd or powershell on Windows).

Best,
  Almar
--
You received this message because you are subscribed to the Google Groups "Pyzo" group.
To unsubscribe from this group and stop receiving emails from it, send an email to pyzo+uns...@googlegroups.com.

Reply all
Reply to author
Forward
0 new messages